## org.exist.webstart
Class JnlpServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.exist.webstart.JnlpServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class JnlpServlet
extends javax.servlet.http.HttpServlet

Dedicated servlet for Webstart.

See Also:
  Serialized Form

Constructor Summary
`JnlpServlet()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handle webstart request for JNLP file, jar file or image.
`void` `init()` Initialize servlet.

Methods inherited from class javax.servlet.http.HttpServlet
`service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JnlpServlet

    public JnlpServlet()

Method Detail

### init

    public void init()

  Initialize servlet.

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Handle webstart request for JNLP file, jar file or image.

  Parameters:
    `request` - Object representing http request.
    `response` - Object representing http response.
  Throws:
    `javax.servlet.ServletException` - Standard servlet exception
    `java.io.IOException` - Standard IO exception

Copyright (C) Wolfgang Meier. All rights reserved.